package capitulo08.bloque01.operaciones;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Objects;

public class Update {
    public static void actualizarFabricante(Connection conn, int id, String cif, String nombre) throws SQLException {
        if (!(Objects.equals(cif, "") || cif == null)) {
            actualizarCampo(conn, "fabricante", id, "cif", cif);
        }
        if (!(Objects.equals(nombre, "") || nombre == null)) {
            actualizarCampo(conn, "fabricante", id, "nombre", nombre);
        }

    }

    private static int actualizarCampo(Connection conn, String tabla, int id, String campo, String nuevoValor) throws SQLException {
        Statement st = conn.createStatement();
        return st.executeUpdate("update tutorialjavacoches." + tabla + " set " + campo + "='" + nuevoValor + "' where id=" + id + ";");
    }
}
